function checkOverflow(el) {
	var curOverflow = el.style.overflow;

	if (!curOverflow || curOverflow === "visible") el.style.overflow = "hidden";

	var isOverflowing = el.clientWidth < el.scrollWidth || el.clientHeight < el.scrollHeight;

	el.style.overflow = curOverflow;

	return isOverflowing;
}

elements = document.querySelectorAll(".post-it");

Array.from(elements).forEach((element) => {
	if (checkOverflow(element)) {
		console.log("Overflow, resize");
		console.log(element.innerHTML);
		textFit(element);
	}
});
